TIBCO ActiveSpaces®

Functions
batchresult.h File Reference

A batchresult object encapsulates the results of a single batch of operations. returned by tibdgSession_GetRows , tibdgSession_PutRows , and tibdgSession_DeleteRows. More...

## Functions
TIBDG_API tibbool_t | tibdgBatchResult_AllSucceeded (tibEx e, tibdgBatchResult batchResult)
| Find whether or not every operation in the batch succeeded. More...
TIBDG_API void | tibdgBatchResult_Destroy (tibEx e, tibdgBatchResult batchResult)
| Destroy the Batch Result. More...
TIBDG_API tibdgRow | tibdgBatchResult_GetRow (tibEx e, tibdgBatchResult batchResult, tibint32_t index)
| Get Row associated with the Batch Result. More...
TIBDG_API tibint32_t | tibdgBatchResult_GetSize (tibEx e, tibdgBatchResult batchResult)
| Get number of results of a batched operation. More...

## Detailed Description

A batchresult object encapsulates the results of a single batch of operations. returned by tibdgSession_GetRows , tibdgSession_PutRows , and tibdgSession_DeleteRows.

## Function Documentation

## ◆ tibdgBatchResult_AllSucceeded()

TIBDG_API tibbool_t tibdgBatchResult_AllSucceeded | ( | tibEx | e,
|  | tibdgBatchResult | batchResult
| ) |  |

Find whether or not every operation in the batch succeeded.

In a batch of GET operations, if this function returns true, tibdgBatchResult_GetRow may be called to retrieve the result rows

Parameters

  e | The exception object captures information about failures.
  batchResult | The batch result object from the batched operation

Returns
  bool

## ◆ tibdgBatchResult_Destroy()

TIBDG_API void tibdgBatchResult_Destroy | ( | tibEx | e,
|  | tibdgBatchResult | batchResult
| ) |  |

Destroy the Batch Result.

Parameters

  e | The exception object captures information about failures.
  batchResult | The batch result object to destroy

Returns
  void

## ◆ tibdgBatchResult_GetRow()

TIBDG_API tibdgRow tibdgBatchResult_GetRow | ( | tibEx | e,
|  | tibdgBatchResult | batchResult,
|  | tibint32_t | index
| ) |  |

Get Row associated with the Batch Result.

Note: only valid for GET batches. You must call AllSucceeded() to verify that all the operations in the batch completed successfully.

The row returned is owned by the BatchResult object, and must be copied using tibdgRow_Copy to modify or use after the batch is destroyed.

Parameters

  e | The exception object captures information about failures.
  batchResult | The batch result object from the batched operation
  index | The index of the row to retrieve

Returns
  On success, this call returns the row corresponding to the ith key in the batch, which can be NULL if there is no row with that key.
  On failure, this call returns `NULL`.

## ◆ tibdgBatchResult_GetSize()

TIBDG_API tibint32_t tibdgBatchResult_GetSize | ( | tibEx | e,
|  | tibdgBatchResult | batchResult
| ) |  |

Get number of results of a batched operation.

Note: For fully successful batches, this should be the size of the input row array

Parameters

  e | The exception object captures information about failures.
  batchResult | The batch result object from the batched operation

Returns
  number of successful results